OpenTTD Source: ConsoleContentCallback Struct Reference

OpenTTD Source 15.0-beta1

Public Member Functions
ConsoleContentCallback Struct Reference

Asynchronous callback. More...

Inheritance diagram for ConsoleContentCallback:

## Public Member Functions
void | OnConnect (bool success) override
| Callback for when the connection has finished.
void | OnDisconnect () override
| Callback for when the connection got disconnected.
void | OnDownloadComplete (ContentID cid) override
| We have finished downloading a file.
Public Member Functions inherited from ContentCallback
virtual void | OnReceiveContentInfo (const ContentInfo *ci)
| We received a content info.
virtual void | OnDownloadProgress (const ContentInfo *ci, int bytes)
| We have progress in the download of a file.
virtual | ~ContentCallback ()=default
| Silentium.

## Detailed Description

Asynchronous callback.

Definition at line 2112 of file console_cmds.cpp.

## Member Function Documentation

## ◆ OnConnect()

void ConsoleContentCallback::OnConnect | ( | bool | success | ) |
| inlineoverridevirtual

Callback for when the connection has finished.

Parameters

  success | whether the connection was made or that we failed to make it

Reimplemented from ContentCallback.

Definition at line 2113 of file console_cmds.cpp.

References CC_DEFAULT, and IConsolePrint().

## ◆ OnDisconnect()

void ConsoleContentCallback::OnDisconnect | ( |  | ) |
| inlineoverridevirtual

Callback for when the connection got disconnected.

Reimplemented from ContentCallback.

Definition at line 2118 of file console_cmds.cpp.

References CC_DEFAULT, and IConsolePrint().

## ◆ OnDownloadComplete()

void ConsoleContentCallback::OnDownloadComplete | ( | ContentID | cid | ) |
| inlineoverridevirtual

We have finished downloading a file.

Parameters

  cid | the ContentID of the downloaded file

Reimplemented from ContentCallback.

Definition at line 2123 of file console_cmds.cpp.

References CC_DEFAULT, and IConsolePrint().

The documentation for this struct was generated from the following file:

- src/console_cmds.cpp